## cracklib2 2.7

=== Makefile ===
###
# This program is copyright Alec Muffett 1993. The author disclaims all
# responsibility or liability with respect to it's usage or its effect
# upon hardware or computer systems, and maintains copyright as set out
# in the "LICENCE" document which accompanies distributions of Crack v4.0
# and upwards.
###

###
# set this to the absolute path (less extn) of compressed dict.

DICTPATH="/usr/local/lib/pw_dict"

###
# Set this to the path of one or more files continaing wordlists.

SRCDICTS=/usr/dict/words

###
# If you have installed the cracklib-dicts directory, use this
#SRCDICTS=/usr/dict/words cracklib-dicts/*

default:
	@echo "you evidently don't know what you're doing. go read the README"

all:
	( cd cracklib && make && exit $$? )
	( cd util && make DICTPATH=$(DICTPATH) && exit $$? )
###	( cd passwd && make DICTPATH=$(DICTPATH) passwd && exit $$? )
###	touch all

clean:
	-( cd cracklib && make clean && exit $$? )
	-( cd util && make clean && exit $$? )
###	-( cd passwd && make clean && exit $$? )
	-rm -f all installed Part* *.BAK *.bak *~

install: all
	@echo 'if "sort" dies from lack of space, see "util/mkdict"'
	util/mkdict $(SRCDICTS) | util/packer $(DICTPATH)
	touch installed
###	@echo 'now go install passwd/passwd where you want it'

=== cracklib/Makefile ===
###
# This program is copyright Alec Muffett 1993. The author disclaims all
# responsibility or liability with respect to it's usage or its effect
# upon hardware or computer systems, and maintains copyright as set out
# in the "LICENCE" document which accompanies distributions of Crack v4.0
# and upwards.
###

LIB=	libcrack.a
OBJ=	fascist.o packlib.o rules.o stringlib.o
CFLAGS= -O -I../cracklib -DIN_CRACKLIB

$(LIB):	$(OBJ)
	ar rv $(LIB) $?
	-ranlib $(LIB)

clean:
	-rm -f $(OBJ) $(LIB) *~

=== util/Makefile ===
###
# This program is copyright Alec Muffett 1993. The author disclaims all
# responsibility or liability with respect to it's usage or its effect
# upon hardware or computer systems, and maintains copyright as set out
# in the "LICENCE" document which accompanies distributions of Crack v4.0
# and upwards.
###

###
# You MIGHT want to remove "-Bstatic" if you're not on SunOS machines.
# If you ARE, then leave it and suffer a few extra Kb for security's sake
###

#SunOS users (and others?) should consider static linking of their passwd binary
#CFLAGS= -O -I../cracklib '-DCRACKLIB_DICTPATH="$(DICTPATH)"' -Bstatic

CFLAGS= -O -I../cracklib '-DCRACKLIB_DICTPATH="$(DICTPATH)"'
LIBS=	../cracklib/libcrack.a

all:	packer unpacker testnum teststr testlib
	touch all

packer: packer.o $(LIBS)
	cc $(CFLAGS) -o $@ $@.o $(LIBS)

unpacker: unpacker.o $(LIBS)
	cc $(CFLAGS) -o $@ $@.o $(LIBS)

testnum: testnum.o $(LIBS)
	cc $(CFLAGS) -o $@ $@.o $(LIBS)

teststr: teststr.o $(LIBS)
	cc $(CFLAGS) -o $@ $@.o $(LIBS)

testlib: testlib.o $(LIBS)
	cc $(CFLAGS) -o $@ $@.o $(LIBS)

clean:
	-rm *.o *~ all
	-rm teststr testnum testlib packer unpacker

## cracklib2 2.8.12-maemo1

=== debian/changelog ===
cracklib2 (2.8.12-maemo1) unstable; urgency=low

  * fix to compile for maemo
  
 -- Thomas Maass <inyourface@gmx.de>  Sat, 26 Jun 2010 20:21:00 +0200

cracklib2 (2.8.12-8lenny1) testing-proposed-updates; urgency=low

  [ Steve Langasek ]
  * debian/update-cracklib: don't rely on [ -nt ] to return true when
    the second file is non-existent, since this fails under dash.
    LP: #278743.

  [ Jan Dittberner ]
  * integrate Ubuntu bugfix
  * use set -e in debian/cracklib-runtime.preinst to fix lintian warning
    maintainer-script-ignores-errors

 -- Jan Dittberner <jan@dittberner.info>  Thu, 16 Oct 2008 21:04:24 +0200

cracklib2 (2.8.12-8) unstable; urgency=low

  * provide a python-crack wrapper to mimic the behavior of the python-
    crack package in Etch (Closes: #499056)
  * fix inconsistent spaces vs. tabs usage in
    debian/cracklib-runtime.cron.daily
  * fix logcheck rules' regexes
  * debian/control
    - python-cracklib Provides python-crack and Conflicts with
      python-crack (<< 2.8.12-1)
    - add transitional package python-crack to easy Etch migration

 -- Jan Dittberner <jan@dittberner.info>  Mon, 15 Sep 2008 23:29:03 +0200

cracklib2 (2.8.12-7) unstable; urgency=low

  * fixes global name 'default_dictpath' is not defined (Closes: #499013)

 -- Jan Dittberner <jan@dittberner.info>  Mon, 15 Sep 2008 20:45:25 +0200

cracklib2 (2.8.12-6) unstable; urgency=low

  * add debian/libcrack2.symbols containing versioned symbols for
    libcrack2
  * debian/copyright
    - updated maintainer information
    - removed shared libraries and headers from Modifications as they are
      provided by upstream
  * change cracklib-runtime's daily cron job's log output if no change
    happens and update logcheck rules accordingly (Closes: #498354)
  * debian/rules
    - add dh_installlogcheck to binary-common

 -- Jan Dittberner <jan@dittberner.info>  Wed, 10 Sep 2008 23:28:54 +0200

cracklib2 (2.8.12-5) unstable; urgency=low

  * remove debian/patches/05-use-autogen_sh.patch because of the valuable
    input from debian-mentors
  * remove the files modified or added by ./autogen.sh
  * debian/rules uses autogen.sh again
  * debian/control
    - re-add libtool, autoconf, and automake to build dependencies

 -- Jan Dittberner <jan@dittberner.info>  Mon, 25 Aug 2008 22:48:18 +0200

cracklib2 (2.8.12-4) unstable; urgency=low

  * add debian/patches/05-use-autogen_sh.patch instead of calling
    autogen.sh (fixes Lintian warning
    patch-system-but-direct-changes-in-diff)
  * debian/control: remove build dependencies to autoconf, automake and
    libtool
  * remove absolute path to update-cracklib from
    debian/cracklib-runtime.postinst (fixes Lintian warning
    command-with-path-in-maintainer-script)
  * update regular expression in debian/watch to not match obsolete 3.0pre
    versions

 -- Jan Dittberner <jan@dittberner.info>  Fri, 15 Aug 2008 20:52:29 +0200

cracklib2 (2.8.12-3) unstable; urgency=low

  * debian/control
    + remove Recommends for old wenglish package
    + add a reasonable description to python-cracklib (Closes: #492968)
  * fix Lintian info 'hypen-used-as-minus-sign' in
    debian/update-cracklib.8
  * debian/README.source file added

 -- Jan Dittberner <jan@dittberner.info>  Wed, 30 Jul 2008 23:33:35 +0200

cracklib2 (2.8.12-2) unstable; urgency=low

  * debian/patches/04-improved-python-binding.patch patches upstream
    python bindings to provide the functionallity and documentation
    strings python-crack had (upstream will apply this patch in the
    future)
  * debian/rules uses autogen.sh
  * only update cracklib dictionary if any of the source dictionaries has
    changed (Closes: #380546)
  * debian/control
    + make Conflicts/Replaces version specific to be compliant to policy
      section 2.5
    + add libtool, autoconf, and automake to build dependencies

 -- Jan Dittberner <jan@dittberner.info>  Tue, 15 Jul 2008 19:59:54 +0200

cracklib2 (2.8.12-1) unstable; urgency=low

  * switch to new upstream branch (Closes: #355692)
  * update copyright file to reflect the change from an Artistic License
    derivative license to the GPL-2 and mention new upstream
  * debian/rules
    + switch from cdbs to debhelper
    + change default dictionary path to /var/lib/cracklib/pw_dict
    + fix rpath issues in built utils using chrpath
  * debian/control
    + update to Standards-Version 3.8.0
    + add Homepage field
    + provide a new binary package python-cracklib using python-central
    + add Build-Depends for python-all, python-all-dev, python-central,
      quilt, and chrpath
    + add XS-Python and XB-Python fields to debian/control
    + rename binary package cracklib2 to libcrack2 and cracklib2-dev to
      libcrack2-dev, add the corresponding Provides, Conflicts and
      Replaces
    + make libcrack2-dev depend on libcrack2 with the same
      binary:Version
    + change Maintainer to Jan Dittberner
    + set Uploaders field to previous Maintainer Martin Pitt
    + add Vcs-Svn and Vcs-Svn-Browser to debian/control
  * fix debian/cracklib-runtime.preinst to use dpkg-query instead of
    directly accessing /var/lib/dpkg/status
  * add debian/pycompat for dh_python
  * update script update-cracklib to use cracklib-format and
    cracklib-packer
  * man pages for the new commands, updated existing man pages (Closes:
    #429993)
  * add debian/watch file for uscan
  * let debian/examples/cracklib_example.c use NULL to specify the default
    dictionary path
  * convert HTML documentation to DocBook XML and update it
  * fix man2html URLs in documentation to reflect man2html's current URL
    syntax
  * add README, README-DAWG, and README-WORDS from upstream package
  * add quilt rules to debian/rules
  * removed some Debian patches that are no longer required because of
    upstream improvements
  * debian/patches/05-mkdict.patch: Adapted to new upstream version,
    renamed to 01-cracklib-format-optim.patch.


=== debian/control ===
Source: cracklib2
Section: libs
Priority: optional
Maintainer: Thomas Maass <inyourface@gmx.de>
Standards-Version: 3.8.0
Build-Depends: debhelper (>= 4.0.0), python-central (>= 0.6.7),
 python-all-dev, python-all, chrpath, xmlto, quilt(>= 0.4), automake
 (>= 1.10), autoconf (>=2.61), libtool
Homepage: http://sourceforge.net/projects/cracklib
XS-Python-Version: all
Vcs-Svn: svn://svn.debian.org/pkg-cracklib/cracklib2/trunk
Vcs-Browser: http://svn.debian.org/wsvn/pkg-cracklib/cracklib2/trunk/?op=log

Package: libcrack2
Section: libs
Architecture: any
Depends: ${shlibs:Depends}
Recommends: cracklib-runtime
Conflicts: cracklib2.6, cracklib2 (<< 2.8.12-1)
Provides: cracklib2
Replaces: cracklib2.6, cracklib2 (<< 2.8.12-1)
Description: pro-active password checker library
 Shared library for cracklib2 which contains a C function which may be
 used in a passwd like program. The idea is simple: try to prevent
 users from choosing passwords that could be guessed by crack by
 filtering them out, at source. cracklib2 is NOT a replacement passwd
 program. cracklib2 is a LIBRARY.

Package: libcrack2-dev
Section: libdevel
Priority: extra
Architecture: any
Depends: libcrack2 (=${binary:Version})
Recommends: cracklib-runtime
Provides: cracklib-dev, cracklib2-dev
Conflicts: cracklib-dev, cracklib2-dev (<< 2.8.12-1)
Replaces: cracklib-dev, cracklib2-dev (<< 2.8.12-1)
Description: pro-active password checker library - development
 Header files, static libraries, documentation, and symbolic links
 developers using cracklib2 will need.

Package: cracklib-runtime
Section: admin
Architecture: any
Depends: ${shlibs:Depends}, libcrack2 (>=${binary:Version}), file
Recommends: wordlist
Description: runtime support for password checker library cracklib2
 Run-time support programs which use the shared library in libcrack2
 including programs to build the password dictionary databases used by
 the functions in the shared library.

Package: python-cracklib
Section: python
Priority: optional
Architecture: any
Depends: ${python:Depends}, ${shlibs:Depends}, libcrack2
 (>=${binary:Version}), python (>= 2.4)
Provides: ${python:Provides}, python-crack
Conflicts: python-crack (<< 2.8.12-1)
XB-Python-Version: ${python:Versions}
Description: Python bindings for password checker library cracklib2
 This package provides Python bindings for cracklib. It contains a pythonic
 interface to cracklib's functions and some Python convenience functions.

Package: python-crack
Section: python
Priority: extra
Architecture: all
Depends: python-cracklib
Description: transitional package from python-crack to python-cracklib
 There has been a package python-crack in previous Debian
 versions. This package provides an upgrade path to python-cracklib
 and can be removed safely.

=== debian/rules ===
#!/usr/bin/make -f

PATH:=/usr/bin/dh7:/usr/bin:$(PATH)
export PATH
SBOX_REDIRECT_IGNORE=/usr/bin/perl
export SBOX_REDIRECT_IGNORE

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/quilt/quilt.make
# This has to be exported to make some magic below work.
export DH_OPTIONS

DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

PYVERS := $(shell pyversions -vs)

configure-stamp: patch
	dh_testdir
	./autogen.sh
	mkdir -p debian/tmpbuild
	cd debian/tmpbuild; \
	../../configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --disable-rpath --without-python --with-default-dict=/var/cache/cracklib/cracklib_dict
	for i in $(PYVERS); do \
		mkdir -p debian/build$$i; \
		cd debian/build$$i; \
		../../configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --disable-rpath  --with-default-dict=/var/cache/cracklib/cracklib_dict PYTHON_PREFIX=/usr/lib/python$$i PYTHON=/usr/bin/python$$i; \
		cd ../..; \
	done
	touch configure-stamp

build: build-stamp

build-stamp: configure-stamp
	$(MAKE) -C debian/tmpbuild
	for i in $(PYVERS); do \
		${MAKE} -C debian/build$$i/python LDFLAGS=-L`pwd`/debian/tmpbuild/lib/.libs; \
	done
	xmlto -o debian/doc xhtml-nochunks debian/libcrack2.xml
	xmlto -o debian/doc xhtml-nochunks debian/cracklib-runtime.xml
	touch build-stamp

clean: unpatch
	dh_testdir
	dh_testroot
	rm -rf build-stamp configure-stamp debian/tmpbuild
	for i in $(PYVERS); do \
		rm -rf debian/build$$i; \
	done
	rm -f debian/python-cracklib.install
	rm -rf debian/doc
	if [ -f Makefile ]; then $(MAKE) clean; fi
	if [ -f Makefile ]; then $(MAKE) distclean; fi
	dh_clean
	# remove files created or modified by autogen.sh
	rm -f Makefile.in aclocal.m4 configure dicts/Makefile.in doc/Makefile.in \
	 lib/Makefile.in m4/Makefile.in py-compile python/Makefile.in \
	 util/Makefile.in

install: DH_OPTIONS=
install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) -C debian/tmpbuild DESTDIR=`pwd`/debian/tmp install
	for i in $(PYVERS); do \
		$(MAKE) -C debian/build$$i/python install DESTDIR=`pwd`/debian/tmp; \
		rm -rf debian/tmp/usr/lib/python$$i/*.pyc; \
		rm -rf debian/tmp/usr/lib/python$$i/*.pyo; \
	done
	chrpath -d debian/tmp/usr/sbin/cracklib-check \
	 debian/tmp/usr/sbin/cracklib-packer \
	 debian/tmp/usr/sbin/cracklib-unpacker
	touch debian/python-cracklib.install
	for i in $(PYVERS); do \
		echo "debian/tmp/usr/lib/python$$i/site-packages/_cracklibmodule.so usr/lib/python$$i/site-packages" >> debian/python-cracklib.install; \
		echo "debian/tmp/usr/lib/python$$i/site-packages/cracklib.py usr/lib/python$$i/site-packages" >> debian/python-cracklib.install; \
		echo "debian/crack.py usr/lib/python$$i/site-packages" >> debian/python-cracklib.install; \
	done
	dh_install

binary-common:
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_installexamples
	dh_installman
	dh_installcron
	dh_installlogcheck
	dh_strip
	dh_link
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-indep: build install
	dh_testdir -ppython-crack
	dh_testroot -ppython-crack
	dh_installchangelogs -ppython-crack
	dh_installdocs -ppython-crack
	dh_compress -ppython-crack
	dh_installdeb -ppython-crack
	dh_gencontrol -ppython-crack
	dh_md5sums -ppython-crack
	dh_builddeb -ppython-crack

binary-arch: build install
	$(MAKE) -f debian/rules binary-common DH_OPTIONS=-plibcrack2
	$(MAKE) -f debian/rules binary-common DH_OPTIONS=-plibcrack2-dev
	$(MAKE) -f debian/rules binary-common DH_OPTIONS=-pcracklib-runtime
	$(MAKE) -f debian/rules binary-python-cracklib DH_OPTIONS=-ppython-cracklib

binary-python%:
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_strip
	dh_link
	dh_compress
	dh_fixperms
	dh_pycentral
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-arch binary-indep
.PHONY: build clean binary-indep binary-arch binary-common binary install

## cracklib2 2.8.12-maemo2

=== debian/changelog ===
cracklib2 (2.8.12-maemo2) unstable; urgency=low

  * Fixed docs.
  
 -- Thomas Maass <mase@setho.org>  Wed, 23 Feb 2011 18:40:00 +0200

=== debian/rules ===
--- 
+++ 
@@ -86,7 +86,7 @@
 	dh_testdir
 	dh_testroot
 	dh_installchangelogs
-	dh_installdocs
+	dh_installdocs debian/README.Maemo
 	dh_installexamples
 	dh_installman
 	dh_installcron
@@ -106,7 +106,7 @@
 	dh_testdir -ppython-crack
 	dh_testroot -ppython-crack
 	dh_installchangelogs -ppython-crack
-	dh_installdocs -ppython-crack
+	dh_installdocs -ppython-crack debian/README.Maemo
 	dh_compress -ppython-crack
 	dh_installdeb -ppython-crack
 	dh_gencontrol -ppython-crack
@@ -123,7 +123,7 @@
 	dh_testdir
 	dh_testroot
 	dh_installchangelogs
-	dh_installdocs
+	dh_installdocs debian/README.Maemo
 	dh_strip
 	dh_link
 	dh_compress

## cracklib2 2.8.15

=== debian/changelog ===
cracklib2 (2.8.15-6) unstable; urgency=low

  * debian/control: set Recommends for cracklib-runtime to wamerican |
    wordlist instead of wordlist only to provide a sane default for
    installations that have no existing wordlist (Closes: #566099)

 -- Jan Dittberner <jandd@debian.org>  Sun, 24 Jan 2010 00:31:43 +0100

cracklib2 (2.8.15-5) unstable; urgency=low

  * switch packaging to git
  * debian/control: replace Vcs-Svn with Vcs-Git, change Vcs-Browser

 -- Jan Dittberner <jandd@debian.org>  Tue, 29 Dec 2009 12:52:10 +0100

cracklib2 (2.8.15-4) unstable; urgency=low

  * remove explicit quilt usage. quilt is implicitly used for source
    format 3.0 (quilt)
  * debian/control:
    - remove quilt from Build-Depends
  * debian/rules:
    - remove --with quilt
  * remove debian/README.source

 -- Jan Dittberner <jandd@debian.org>  Tue, 01 Dec 2009 22:08:47 +0100

cracklib2 (2.8.15-3) unstable; urgency=low

  * debian/rules: install egg-info for python-cracklib
  * debian/control: add Build-Depends-Indep: python-setuptools to allow
    egg_info generation

 -- Jan Dittberner <jandd@debian.org>  Mon, 23 Nov 2009 19:38:18 +0100

cracklib2 (2.8.15-2) unstable; urgency=low

  * add debian/patches/svn-r152-python-use-translations.patch to use
    cracklib translations in the Python binding (Closes: #557390) and
    update debian/patches/series accordingly

 -- Jan Dittberner <jandd@debian.org>  Sat, 21 Nov 2009 22:20:26 +0100

cracklib2 (2.8.15-1) unstable; urgency=low

  * New upstream release
    - license changed to LGPL
    - integrate patch 01-use-src-path-for-python.patch from 2.8.14-1
  * debian/copyright: updated licensing information
  * remove debian/patches/01-usr-src-path-for-python.patch included in
    upstream release, update debian/patches/series

 -- Jan Dittberner <jandd@debian.org>  Thu, 19 Nov 2009 07:52:09 +0100

cracklib2 (2.8.14-1) unstable; urgency=low

  * New upstream release
    - integrate Debian patches
    - added and updated translations
    - improved Python binding
  * remove patches debian/patches/01-cracklib-format-optim.patch,
    debian/patches/02-ccwarnings.patch and
    debian/patches/04-enable-gettext.patch that have been applied
    upstream, update debian/patches/series accordingly
  * debian/patches/03-packer-dont-print-skipping-line.patch annotated with
    DEP-3 tags
  * add debian/patches/01-use-src-path-for-python.patch to allow building
    Python extension outside the source folder
  * debian/copyright: update upstream copyright
  * debian/libcrack2.install, debian/libcrack2.links: update library
    version to 2.8.1
  * debian/libcrack2.symbols: add GetDefaultCracklibDict

 -- Jan Dittberner <jandd@debian.org>  Wed, 18 Nov 2009 19:03:01 +0100

cracklib2 (2.8.13-13) unstable; urgency=low

  * debian/changelog: use "Closes" instead of wrong "fixes" for 2.8.13-12
  * switch to python-support
  * add debian/python-cracklib.preinst to call pycentral on first update
  * debian/control:
    - update Standards-Version to 3.8.3 (no changes needed)
    - add ${misc:Depends}
    - update debhelper dependency version
    - replace Build-Depends python-central with python-support
  * debian/rules:
    - switch to dh7
    - install NEWS as upstream changelog
  * add debian/source/format to switch to 3.0 (quilt) source format

 -- Jan Dittberner <jandd@debian.org>  Sat, 14 Nov 2009 23:10:41 +0100

cracklib2 (2.8.13-12) unstable; urgency=low

  * debian/rules: remove config.guess and config.sub in clean target
    (Closes: #539550)

 -- Jan Dittberner <jandd@debian.org>  Sat, 01 Aug 2009 22:52:31 +0200

cracklib2 (2.8.13-11) unstable; urgency=low

  * debian/rules:
    - remove more autogenerated files in debian/rules (fixes
      Lintian warning)
  * debian/control:
    - change Maintainer email address to new DD account
  * debian/cracklib-check.8, debian/libcrack2.xml, debian/cracklib-
    runtime.xml, debian/create-cracklib-dict.8, debian/copyright:
    - update email address

 -- Jan Dittberner <jandd@debian.org>  Fri, 24 Jul 2009 00:14:50 +0200

cracklib2 (2.8.13-10) unstable; urgency=low

  * debian/control:
    - update Standards-Version to 3.8.2 (no changes necessary)
    - make python-cracklib depend on cracklib-runtime (Closes: #533194)

 -- Jan Dittberner <jan@dittberner.info>  Thu, 25 Jun 2009 09:20:25 +0200

cracklib2 (2.8.13-9) unstable; urgency=low

  * debian/control: update Standards-Version to 3.8.1 (no changes
    necessary)
  * debian/compat: update debhelper compatibility to 7 to make Lintian
    happy
  * remove debian/libcrack2.postinst, debian/libcrack2.prerm and
    debian/cracklib-runtime.prerm and modify debian/cracklib-
    runtime.postinst to fix postinst-has-useless-call-to-install-docs
    and prerm-has-useless-call-to-install-docs Lintian warnings

 -- Jan Dittberner <jan@dittberner.info>  Sun, 24 May 2009 20:10:42 +0200

cracklib2 (2.8.13-8) unstable; urgency=low

  * debian/cracklib-runtime.postinst: add call to install-docs and add
    debian/cracklib-runtime.prerm, debian/libcrack2.prerm,
    debian/libcrack2.postinst to add missing calls to install-docs (fixes
    4 lintian errors)

 -- Jan Dittberner <jan@dittberner.info>  Tue, 17 Mar 2009 21:23:51 +0100

cracklib2 (2.8.13-7) unstable; urgency=low

  [ Jan Dittberner ]
  * debian/control: remove duplicate Priority field of python-cracklib
    and Section field of libcrack2
  * remove debian/libcrack2.postinst and debian/libcrack2.postrm as
    their functionality is automatically generated by debhelper

  [ Alessio Treglia ]
  * debian/rules: Include /usr/share/python/python.mk and use py_sitename_sh
    macro, so that installation will work correctly with the forthcoming
    Python 2.6 as well. (LP: #342383)

 -- Martin Pitt <mpitt@debian.org>  Mon, 16 Mar 2009 10:04:28 +0100

cracklib2 (2.8.13-6) unstable; urgency=low

  * add more verbose descriptions to libcrack2-dev and python-cracklib
    (fixes Lintian info)


=== debian/control ===
Source: cracklib2
Section: libs
Priority: optional
Maintainer: Jan Dittberner <jandd@debian.org>
Uploaders: Martin Pitt <mpitt@debian.org>
Standards-Version: 3.8.3
Build-Depends: debhelper (>= 7.0.50), python-support (>= 1.0.2),
 python-all-dev, python-all, chrpath, xmlto, automake (>= 1.10),
 autoconf (>=2.61), libtool
Build-Depends-Indep: python-setuptools
Homepage: http://sourceforge.net/projects/cracklib
XS-Python-Version: all
Vcs-Git: git://git.debian.org/pkg-cracklib/pkg-cracklib.git
Vcs-Browser: http://git.debian.org/?p=pkg-cracklib/pkg-cracklib.git

Package: libcrack2
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: cracklib-runtime
Conflicts: cracklib2.6, cracklib2 (<< 2.8.12-1)
Provides: cracklib2
Replaces: cracklib2.6, cracklib2 (<< 2.8.12-1)
Description: pro-active password checker library
 Shared library for cracklib2 which contains a C function which may be
 used in a passwd like program. The idea is simple: try to prevent
 users from choosing passwords that could be guessed by crack by
 filtering them out, at source. cracklib2 is NOT a replacement passwd
 program. cracklib2 is a LIBRARY.

Package: libcrack2-dev
Section: libdevel
Priority: extra
Architecture: any
Depends: libcrack2 (=${binary:Version}), ${misc:Depends}
Recommends: cracklib-runtime
Provides: cracklib-dev, cracklib2-dev
Conflicts: cracklib-dev, cracklib2-dev (<< 2.8.12-1)
Replaces: cracklib-dev, cracklib2-dev (<< 2.8.12-1)
Description: pro-active password checker library - development files
 Header files, static libraries, documentation, and symbolic links
 developers using cracklib2 will need.
 .
 If you want to build software using cracklib2 you will need to
 install this package. For developing Python based applications for
 cracklib2 you need to install python-cracklib instead.

Package: cracklib-runtime
Section: admin
Architecture: any
Depends: ${shlibs:Depends}, libcrack2 (>=${binary:Version}), file,
 ${misc:Depends}
Recommends: wamerican | wordlist
Description: runtime support for password checker library cracklib2
 Run-time support programs which use the shared library in libcrack2
 including programs to build the password dictionary databases used by
 the functions in the shared library.

Package: python-cracklib
Section: python
Architecture: any
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends},
 libcrack2 (>=${binary:Version}), cracklib-runtime
 (>=${binary:Version})
Provides: ${python:Provides}, python-crack
Conflicts: python-crack (<< 2.8.12-1)
XB-Python-Version: ${python:Versions}
Description: Python bindings for password checker library cracklib2
 This package provides Python bindings for cracklib. It contains a
 pythonic interface to cracklib's functions and some Python
 convenience functions.
 .
 You should install this package if you want to use or develop Python
 applications that want to interface with cracklib2.

Package: python-crack
Section: python
Priority: extra
Architecture: all
Depends: python-cracklib, ${misc:Depends}
Description: transitional package from python-crack to python-cracklib
 There has been a package python-crack in previous Debian
 versions. This package provides an upgrade path to python-cracklib
 and can be removed safely.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/python/python.mk
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

PYVERS := $(shell pyversions -vs)

override_dh_auto_configure:
	./autogen.sh
	mkdir -p debian/tmpbuild
	cd debian/tmpbuild; \
	../../configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --disable-rpath --without-python --with-default-dict=/var/cache/cracklib/cracklib_dict
	for i in $(PYVERS); do \
		mkdir -p debian/build$$i; \
		cd debian/build$$i; \
		../../configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --disable-rpath  --with-default-dict=/var/cache/cracklib/cracklib_dict PYTHON_PREFIX=/usr/lib/python$$i PYTHON=/usr/bin/python$$i; \
		cd ../..; \
	done

override_dh_auto_build:
	$(MAKE) -C debian/tmpbuild
	for i in $(PYVERS); do \
		${MAKE} -C debian/build$$i/python top_builddir=`pwd`/debian/tmpbuild; \
	done
	xmlto -o debian/doc xhtml-nochunks debian/libcrack2.xml
	xmlto -o debian/doc xhtml-nochunks debian/cracklib-runtime.xml

override_dh_auto_clean:
	rm -rf debian/tmpbuild
	for i in $(PYVERS); do \
		rm -rf debian/build$$i; \
	done
	rm -f debian/python-cracklib.install
	rm -rf debian/doc
	if [ -f Makefile ]; then $(MAKE) clean; fi
	if [ -f Makefile ]; then $(MAKE) distclean; fi
	# remove files created or modified by autogen.sh
	rm -f config.guess config.sub Makefile.in aclocal.m4 configure		\
	 dicts/Makefile.in doc/Makefile.in lib/Makefile.in m4/Makefile.in	\
	 py-compile python/Makefile.in util/Makefile.in ltmain.sh			\
	 m4/ltoptions.m4 m4/ltversion.m4 m4/libtool.m4 m4/ltsugar.m4		\
	 m4/lt~obsolete.m4

override_dh_auto_install:
	$(MAKE) -C debian/tmpbuild DESTDIR=`pwd`/debian/tmp install
	for i in $(PYVERS); do \
		$(MAKE) -C debian/build$$i/python install DESTDIR=`pwd`/debian/tmp; \
		rm -rf debian/tmp/usr/lib/python$$i/*.pyc; \
		rm -rf debian/tmp/usr/lib/python$$i/*.pyo; \
	done
	chrpath -d debian/tmp/usr/sbin/cracklib-check \
	 debian/tmp/usr/sbin/cracklib-packer \
	 debian/tmp/usr/sbin/cracklib-unpacker
	for i in $(PYVERS); do \
		cd debian/build$$i/python; \
		ln -s ../../../python/{cracklib.py,_cracklibmodule.c} .; \
		python$$i setup.py egg_info install_egg_info --install-dir "../../tmp/usr/lib/python$$i/$(call py_sitename_sh, $$i)"; \
		cd ../../..; \
		find "debian/tmp/usr/lib/python$$i/$(call py_sitename_sh, $$i)" -type f | grep egg-info >> debian/python-cracklib.install; \
		echo "debian/tmp/usr/lib/python$$i/$(call py_sitename_sh, $$i)/_cracklibmodule.so usr/lib/python$$i/$(call py_sitename_sh, $$i)" >> debian/python-cracklib.install; \
		echo "debian/tmp/usr/lib/python$$i/$(call py_sitename_sh, $$i)/cracklib.py usr/lib/python$$i/$(call py_sitename_sh, $$i)" >> debian/python-cracklib.install; \
		echo "debian/crack.py usr/lib/python$$i/$(call py_sitename_sh, $$i)" >> debian/python-cracklib.install; \
	done

override_dh_installchangelogs:
	dh_installchangelogs NEWS

%:
	dh $@

## cracklib2 2.8.16

=== debian/changelog ===
cracklib2 (2.8.16-4~bpo50+1) lenny-backports; urgency=low

  * Rebuild for lenny-backports.
  * use source format 3.0 (quilt)
  * change debhelper dependency version to 7.0.50~
  * call install-docs in libcrack2 and cracklib-runtime postinst and
    prerm scripts (Squeeze's doc-base uses triggers and does not need this)

 -- Jan Dittberner <jandd@debian.org>  Tue, 02 Nov 2010 17:37:59 +0100

cracklib2 (2.8.16-4) unstable; urgency=low

  * debian/control: remove Conflicts, Provides and Breaks refering to versions
    and packages before Lenny, keep python-cracklib's Conflicts with
    python-crack to force deinstallation of transitional package

 -- Jan Dittberner <jandd@debian.org>  Mon, 13 Sep 2010 19:00:03 +0200

cracklib2 (2.8.16-3) unstable; urgency=low

  * debian/control: update to Standards-Version to 3.9.1
    - use Breaks instead of Conflicts for libcrack2's incompatibility with
      cracklib2 (<< 2.8.12-1) and libcrack2-dev's incompatibility with
      cracklib2-dev (<< 2.8.12-1)
  * add debian/patches/596281-fix-python-extension-segfault.patch: in
    cracklib-python's C module, make sure we initialize defaultdict to
    NULL at the start of _cracklib_FascistCheck. This fixes a bug where
    that variable was freed when not NULL without ever having been
    assigned any value to.  This happened when we called FascistCheck()
    with a dictionary path of our own. Thanks to Peter Palfrader for the
    patch (Closes: #596281).

 -- Jan Dittberner <jandd@debian.org>  Fri, 10 Sep 2010 18:44:23 +0200

cracklib2 (2.8.16-2) unstable; urgency=low

  * fix bashism in debian/rules (Closes: #581479)

 -- Jan Dittberner <jandd@debian.org>  Thu, 13 May 2010 11:58:43 +0200

cracklib2 (2.8.16-1) unstable; urgency=low

  * use LC_COLLATE=C for speedup dictionary sorts (Closes: #569081)
  * new Upstream release
  * remove debian/patches/03-packer-dont-print-skipping-line.patch,
    debian/patches/svn-r152-python-use-translations.patch and
    debian/patches/series. All patches have been applied upstream

 -- Jan Dittberner <jandd@debian.org>  Wed, 03 Mar 2010 11:54:55 +0100

cracklib2 (2.8.15-9) unstable; urgency=low

  * fix wrong paths in debian/cracklib-runtime.preinst

 -- Jan Dittberner <jandd@debian.org>  Thu, 04 Feb 2010 18:11:47 +0100

cracklib2 (2.8.15-8) unstable; urgency=low

  * remove old logcheck ignore.d.{workstation,server} conffiles in
    preinst script (thanks for the hint to Hannes von Haugwitz)
  * debian/control:
   - remove Build-Depends-Indep and add python-setuptools to Build-Depends
   - remove python-crack transitional binary package
   - extend python-cracklib Conflicts to all python-crack versions
   - add python-cracklib Replaces python-crack

 -- Jan Dittberner <jandd@debian.org>  Thu, 04 Feb 2010 17:45:36 +0100

cracklib2 (2.8.15-7) unstable; urgency=low

  * remove debian/cracklib-runtime.logcheck.ignore.{server,workstation}
    because both server and workstation levels of logcheck include
    paranoid level rules (Closes: #567476)
  * debian/control: update Standards-Version to 3.8.4 (no changes needed)

 -- Jan Dittberner <jandd@debian.org>  Wed, 03 Feb 2010 18:18:23 +0100

cracklib2 (2.8.15-5~bpo50+1) lenny-backports; urgency=low

  * Rebuild for lenny-backports.
  * debian/rules:
    - add py_sitename_sh macro from /usr/share/python/python.mk which is
      not available in Lenny's python package
  * use source format 1.0
    - remove debian/source/format
    - debian/control: add quilt (>=0.46-7) to Build-Depends
    - debian/rules: add --with quilt

 -- Jan Dittberner <jandd@debian.org>  Sat, 09 Jan 2010 23:52:55 +0100

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,10 @@
 Priority: optional
 Maintainer: Jan Dittberner <jandd@debian.org>
 Uploaders: Martin Pitt <mpitt@debian.org>
-Standards-Version: 3.8.3
-Build-Depends: debhelper (>= 7.0.50), python-support (>= 1.0.2),
+Standards-Version: 3.9.1
+Build-Depends: debhelper (>= 7.0.50~), python-support (>= 1.0.2),
  python-all-dev, python-all, chrpath, xmlto, automake (>= 1.10),
- autoconf (>=2.61), libtool
-Build-Depends-Indep: python-setuptools
+ autoconf (>=2.61), libtool, python-setuptools
 Homepage: http://sourceforge.net/projects/cracklib
 XS-Python-Version: all
 Vcs-Git: git://git.debian.org/pkg-cracklib/pkg-cracklib.git
@@ -17,9 +16,6 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Recommends: cracklib-runtime
-Conflicts: cracklib2.6, cracklib2 (<< 2.8.12-1)
-Provides: cracklib2
-Replaces: cracklib2.6, cracklib2 (<< 2.8.12-1)
 Description: pro-active password checker library
  Shared library for cracklib2 which contains a C function which may be
  used in a passwd like program. The idea is simple: try to prevent
@@ -33,9 +29,6 @@
 Architecture: any
 Depends: libcrack2 (=${binary:Version}), ${misc:Depends}
 Recommends: cracklib-runtime
-Provides: cracklib-dev, cracklib2-dev
-Conflicts: cracklib-dev, cracklib2-dev (<< 2.8.12-1)
-Replaces: cracklib-dev, cracklib2-dev (<< 2.8.12-1)
 Description: pro-active password checker library - development files
  Header files, static libraries, documentation, and symbolic links
  developers using cracklib2 will need.
@@ -61,8 +54,8 @@
 Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends},
  libcrack2 (>=${binary:Version}), cracklib-runtime
  (>=${binary:Version})
-Provides: ${python:Provides}, python-crack
-Conflicts: python-crack (<< 2.8.12-1)
+Provides: ${python:Provides}
+Conflicts: python-crack
 XB-Python-Version: ${python:Versions}
 Description: Python bindings for password checker library cracklib2
  This package provides Python bindings for cracklib. It contains a
@@ -71,13 +64,3 @@
  .
  You should install this package if you want to use or develop Python
  applications that want to interface with cracklib2.
-
-Package: python-crack
-Section: python
-Priority: extra
-Architecture: all
-Depends: python-cracklib, ${misc:Depends}
-Description: transitional package from python-crack to python-cracklib
- There has been a package python-crack in previous Debian
- versions. This package provides an upgrade path to python-cracklib
- and can be removed safely.

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,8 @@
 #!/usr/bin/make -f
 
-include /usr/share/python/python.mk
+#include /usr/share/python/python.mk
+py_sitename_sh = $$(basename $$(_py_=$(strip $(1)); python$${_py_\#python*} -c 'from distutils import sysconfig; print(sysconfig.get_python_lib())'))
+
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
@@ -57,7 +59,8 @@
 	 debian/tmp/usr/sbin/cracklib-unpacker
 	for i in $(PYVERS); do \
 		cd debian/build$$i/python; \
-		ln -s ../../../python/{cracklib.py,_cracklibmodule.c} .; \
+		ln -s ../../../python/cracklib.py . ; \
+                ln -s ../../../_cracklibmodule.c . ; \
 		python$$i setup.py egg_info install_egg_info --install-dir "../../tmp/usr/lib/python$$i/$(call py_sitename_sh, $$i)"; \
 		cd ../../..; \
 		find "debian/tmp/usr/lib/python$$i/$(call py_sitename_sh, $$i)" -type f | grep egg-info >> debian/python-cracklib.install; \

## cracklib2 2.8.18

=== debian/changelog ===
cracklib2 (2.8.18-4) unstable; urgency=low

  [ Fabian Greffrath ]
  * Extend the tiny example wordlist included with the cracklib package
    itself with the words from the list of "The Top 500 Worst Passwords
    of All Time" [1], modulo the ones that fail the regular cracklib tests
    anyway (Closes: 657464).
    [1] <http://www.whatsmypass.com/the-top-500-worst-passwords-of-all-time>
  * Move the /usr/share/cracklib/cracklib-small wordlist file from the
    libcrack2 to the cracklib-runtime package and install it into
    /usr/share/dict. So there will always be at least the tiny example
    wordlist to compile a database from, even if no other package providing
    a wordlist (though recommended) is installed.
  * Do not install the /usr/share/cracklib/cracklib.magic file anymore.
    It was installed in the wrong location anyway and the file(1) tool
    is able to independently detect cracklib databases since at least 2005.
  * Remove config.h.in in the clean rule in debian/rules,
    fixes FTBFS twice in a row.

  [ Jan Dittberner ]
  * update patch debian/patches/top-500-worst-passwords.patch to add
    additional words suggested by Fabian to dicts/cracklib-small

 -- Jan Dittberner <jandd@debian.org>  Fri, 27 Jan 2012 15:38:32 +0100

cracklib2 (2.8.18-3) unstable; urgency=low

  * switch from python-support to dh_python2
    - remove python-support and python-all from Build-Depends
    - remove XS-Python-Version, remove XB-Python-Version from
      python-cracklib stanza
    - add --with python2 to dh invocation
    - bump minimum required python-all-dev version to 2.6.6-3~
  * bump Standards-Version to 3.9.2 (no changes needed)

 -- Jan Dittberner <jandd@debian.org>  Sat, 11 Jun 2011 22:29:23 +0200

cracklib2 (2.8.18-2) unstable; urgency=low

  * upload to unstable

 -- Jan Dittberner <jandd@debian.org>  Sun, 06 Feb 2011 13:06:26 +0100

cracklib2 (2.8.18-1) experimental; urgency=low

  * New upstream version.
  * remove debian/patches/596281-fix-python-extension-segfault.patch and
    debian/patches/series, patch has been applied upstream

 -- Jan Dittberner <jandd@debian.org>  Thu, 30 Sep 2010 19:43:41 +0200

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,11 @@
 Priority: optional
 Maintainer: Jan Dittberner <jandd@debian.org>
 Uploaders: Martin Pitt <mpitt@debian.org>
-Standards-Version: 3.9.1
-Build-Depends: debhelper (>= 7.0.50~), python-support (>= 1.0.2),
- python-all-dev, python-all, chrpath, xmlto, automake (>= 1.10),
- autoconf (>=2.61), libtool, python-setuptools
+Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 7.0.50), python-all-dev (>= 2.6.6-3~),
+ chrpath, xmlto, automake (>= 1.10), autoconf (>=2.61), libtool,
+ python-setuptools
 Homepage: http://sourceforge.net/projects/cracklib
-XS-Python-Version: all
 Vcs-Git: git://git.debian.org/pkg-cracklib/pkg-cracklib.git
 Vcs-Browser: http://git.debian.org/?p=pkg-cracklib/pkg-cracklib.git
 
@@ -56,7 +55,6 @@
  (>=${binary:Version})
 Provides: ${python:Provides}
 Conflicts: python-crack
-XB-Python-Version: ${python:Versions}
 Description: Python bindings for password checker library cracklib2
  This package provides Python bindings for cracklib. It contains a
  pythonic interface to cracklib's functions and some Python

=== debian/rules ===
--- 
+++ 
@@ -1,8 +1,6 @@
 #!/usr/bin/make -f
 
-#include /usr/share/python/python.mk
-py_sitename_sh = $$(basename $$(_py_=$(strip $(1)); python$${_py_\#python*} -c 'from distutils import sysconfig; print(sysconfig.get_python_lib())'))
-
+include /usr/share/python/python.mk
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
@@ -45,7 +43,7 @@
 	 dicts/Makefile.in doc/Makefile.in lib/Makefile.in m4/Makefile.in	\
 	 py-compile python/Makefile.in util/Makefile.in ltmain.sh			\
 	 m4/ltoptions.m4 m4/ltversion.m4 m4/libtool.m4 m4/ltsugar.m4		\
-	 m4/lt~obsolete.m4
+	 m4/lt~obsolete.m4 config.h.in
 
 override_dh_auto_install:
 	$(MAKE) -C debian/tmpbuild DESTDIR=`pwd`/debian/tmp install
@@ -73,4 +71,4 @@
 	dh_installchangelogs NEWS
 
 %:
-	dh $@
+	dh $@ --with python2

## cracklib2 2.8.19

=== debian/changelog ===
cracklib2 (2.8.19-3) unstable; urgency=low

  * update debian/patches/libcrack2-error-safer-check-variant.patch with
    fixed version from http://bugs.debian.org/cgi-
    bin/bugreport.cgi?bug=689588#29

 -- Jan Dittberner <jandd@debian.org>  Wed, 12 Dec 2012 22:56:46 +0100

cracklib2 (2.8.19-2) unstable; urgency=low

  * add debian/patches/libcrack2-error-safer-check-variant.patch to provide
    __DEBIAN_SPECIFIC__SafeFascistCheck that does not call exit (Closes:
    #682735)
  * add __DEBIAN_SPECIFIC__SafeFascistCheck to debian/libcrack2.symbols

 -- Jan Dittberner <jandd@debian.org>  Tue, 02 Oct 2012 09:15:16 +0200

cracklib2 (2.8.19-1) unstable; urgency=low

  * New upstream version
  * remove debian/patches/top-500-worst-passwords.patch, applied
    upstream
  * add autotools-dev to Build-Depends
  * debian/rules:
    - use aclocal, libtoolize, automake and autoreconf instead of autogen.sh
    - do not remove config.h.in
    - add autotools_dev to dh --with options
    - build in debian/buildtmp/{base,pythonX.Y}
    - build and install Python code using setup.py
    - run Python tests
  * enable hardening build flags
    - add dpkg-dev (>= 1.16.1~) to Build-Depends
    - add DPKG_EXPORT_BUILDFLAGS=1 and include
      /usr/share/dpkg/buildflags.mk in debian/rules
  * remove debian/tmp/* from debian/cracklib-runtime.install, remove
    debian/libcrack2-dev.install, remove debian/libcrack2.install
  * add debian/test_cracklib.py with unit tests (missing in upstream
    tarball)
  * add debian/patches/install-debian-python-modules.patch to install
    debian/test_cracklib.py and debian/crack.py
  * add debian/patches/pass-dict-to-cracklib-test.patch to allow running
    Python tests using a specific dictionary
  * add Python3 support
    - debian/control:
      - add new binary package python3-cracklib
      - add python3-all-dev (>= 3.1.3-2~) and python3-setuptools to
        Build-Depends
    - debian/rules:
      - add python3 to dh --with options
      - add override_dh_python2 and override_dh_python3 to run
        dh_python2 for python-cracklib and dh_python3 for python3-cracklib
        only
      - define PY3VERS and use it for configuring, building, testing and
        installing python3-cracklib

 -- Jan Dittberner <jandd@debian.org>  Sun, 20 May 2012 01:24:02 +0200

## cracklib2 2.8.22

=== debian/changelog ===
cracklib2 (2.8.22-1) unstable; urgency=low

  * New upstream version.
  * Fix "FTBFS with Python 3.3: ImportError: No module named
    '_cracklib'" with upstream changes (Closes: #681749)
  * refresh debian/patches/install-debian-python-modules.patch and
    debian/patches/libcrack2-error-safer-check-variant.patch
  * drop debian/patches/pass-dict-to-cracklib-test.patch included in new
    upstream version, remove line from debian/patches/series
  * Bump Standards-Version to 3.9.4 (No changes necessary)

 -- Jan Dittberner <jandd@debian.org>  Sun, 19 May 2013 11:02:35 +0200

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,11 @@
 Priority: optional
 Maintainer: Jan Dittberner <jandd@debian.org>
 Uploaders: Martin Pitt <mpitt@debian.org>
-Standards-Version: 3.9.2
+Standards-Version: 3.9.4
 Build-Depends: debhelper (>= 7.0.50), python-all-dev (>= 2.6.6-3~),
- chrpath, xmlto, automake (>= 1.10), autoconf (>=2.61), libtool,
- python-setuptools
+ python3-all-dev (>= 3.1.3-2~), chrpath, xmlto, automake (>= 1.10),
+ autoconf (>=2.61), libtool, python-setuptools, python3-setuptools,
+ dpkg-dev (>= 1.16.1~), autotools-dev
 Homepage: http://sourceforge.net/projects/cracklib
 Vcs-Git: git://git.debian.org/pkg-cracklib/pkg-cracklib.git
 Vcs-Browser: http://git.debian.org/?p=pkg-cracklib/pkg-cracklib.git
@@ -62,3 +63,20 @@
  .
  You should install this package if you want to use or develop Python
  applications that want to interface with cracklib2.
+
+Package: python3-cracklib
+Section: python
+Architecture: any
+Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends},
+ libcrack2 (>=${binary:Version}), cracklib-runtime
+ (>=${binary:Version})
+Provides: ${python3:Provides}
+Description: Python3 bindings for password checker library cracklib2
+ This package provides Python bindings for cracklib. It contains a
+ pythonic interface to cracklib's functions and some Python
+ convenience functions.
+ .
+ You should install this package if you want to use or develop Python3
+ applications that want to interface with cracklib2.
+ .
+ This package provides the Python3 version of cracklib2's Python binding.
